<?php

declare(strict_types=1);

namespace App\Controller\TblPublicidadXUsuario;

use App\Service\TblPublicidadXUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPublicidadXUsuarioService(): TblPublicidadXUsuarioService
    {
        return $this->container->get('TblPublicidadXUsuario_service');
    }
}
